Bug 821474

Summary: libvirt: missing spice channel 'default'
Product: [Fedora] Fedora Reporter: Oved Ourfali <oourfali>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: acathrow, alevy, berrange, clalancette, crobinso, dallan, dblechte, dougsland, dyasny, dyuan, eblake, iheim, itamar, jforbes, jyang, laine, libvirt-maint, mzhan, rwu, veillard, virt-maint, ydu, zpeng
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 819499 Environment:
Last Closed: 2012-06-30 18:04:50 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 819498, 819499, 821469    
Bug Blocks:    

Comment 1 Eric Blake 2012-05-14 11:35:11 EDT
Should be easy to backport:

commit ba97e4edc6aa439a4f1e70855cf4503181efdb7f
Author: Alon Levy <alevy@redhat.com>
Date:   Tue May 8 20:42:44 2012 +0300

    domain_conf: add "default" to list of valid spice channels
    
    qemu's behavior in this case is to change the spice server behavior to
    require secure connection to any channel not otherwise specified as
    being in plaintext mode. libvirt doesn't currently allow requesting this
    (via plaintext-channel=<channel name>).
    
    RHBZ: 819499
    
    Signed-off-by: Alon Levy <alevy@redhat.com>
Comment 2 Fedora Update System 2012-06-15 16:30:28 EDT
libvirt-0.9.11.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvirt-0.9.11.4-1.fc17
Comment 3 Fedora Update System 2012-06-16 19:56:21 EDT
Package libvirt-0.9.11.4-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.11.4-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9549/libvirt-0.9.11.4-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-19 11:29:36 EDT
libvirt-0.9.11.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvirt-0.9.11.4-2.fc17
Comment 5 Fedora Update System 2012-06-24 19:54:21 EDT
libvirt-0.9.6.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libvirt-0.9.6.1-1.fc16
Comment 6 Fedora Update System 2012-06-28 10:05:19 EDT
libvirt-0.9.11.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvirt-0.9.11.4-3.fc17
Comment 7 Fedora Update System 2012-06-30 18:04:50 EDT
libvirt-0.9.11.4-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-07-05 19:44:09 EDT
libvirt-0.9.6.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.